<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 30/4/2018
 * Time: 12:56 AM
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['cuota_mantenimiento']) && isset($_REQUEST['telefono'])) {
            $validar  = R::findOne( 'propiedad', ' direccion = ? ', [ $_REQUEST['direccion'] ] );
            if (is_null($validar)==TRUE){
                $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
                $condominioData = $Valido->retornarDatos($creadoPor);
                $condominio = $condominioData["condominio_id"];
                $propiedad = R::dispense('propiedad');
                $propiedad->nombre = $_REQUEST['nombre'];
                $propiedad->calle = $_REQUEST['calle_torre'];
                $propiedad->numero_exterior = $_REQUEST['numero_interior'];
                $propiedad->codigo_postal = $_REQUEST['codigo_postal'];
                $propiedad->telefono = $_REQUEST['telefono'];
                $propiedad->id_condominio = $condominio;
                $propiedad->couta_mantenimiento = $_REQUEST['cuota_mantenimiento'];
                $propiedad->fechaRegistro = date('Y-m-d H:i:s');
                $propiedad->fechaModificacion = date('Y-m-d H:i:s');
                $propiedad->estado = 1;
                $id = R::store($propiedad);
                include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}